Subject: Re: [PATCH] uapi: avoid namespace conflict in linux/posix_types.h

From: Florian Weimer <[email-masked]>
Date: Tue, 18 Jun 2019 09:44:38 +0200

* Linus Torvalds:

> On Mon, Jun 17, 2019 at 11:19 AM Florian Weimer <[email-masked]> wrote:
>> >
>> > Unlike the "val[]" thing, I don't think anybody is supposed to access
>> > those fields directly.
>>
>> Well, glibc already calls it __val …
>
> Hmm. If user space already doesn't see the "val[]" array anyway, I
> guess we could just do that in the kernel too.
>
> Looking at the glibc headers I have for fds_bits, glibc seems to do
> *both* fds_bits[] and __fds_bits[] depending on __USE_XOPEN or not.
>
> Anyway, that all implies to me that we might as well just go the truly
> mindless way, and just do the double underscores and not bother with
> renaming any files.
>
> I thought people actually might care about the "val[]" name because I
> find that in documentation, but since apparently it's already not
> visible to user space anyway, that can't be true.
>
> I guess that makes the original patch acceptable, and we should just
> do the same thing to fds_bits..

Hah.

I think Arnd's original patch already had both.  So it's ready to go in
after all?

Thanks,
Florian